User Tools

Site Tools


en:users:drivers:ath11k

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
en:users:drivers:ath11k [2022/01/24 09:33]
Kalle Valo [Supported Devices] add QCN9074 and WCN6855
en:users:drivers:ath11k [2022/01/24 10:14] (current)
Kalle Valo [About ath11k] Add first release.
Line 1: Line 1:
 ===== About ath11k ===== ===== About ath11k =====
  
-ath11k is a driver for Qualcomm [[https://​en.wikipedia.org/​wiki/​IEEE_802.11ax|IEEE 802.11ax]] devices, supporting both AHB bus in SoC type devices and PCI. ath11k uses mac80211.+ath11k is a Linux driver for Qualcomm [[https://​en.wikipedia.org/​wiki/​IEEE_802.11ax|IEEE 802.11ax]] devices, supporting both AHB bus in SoC type devices and PCI. ath11k uses mac80211. It was first included in Linux v5.6 released March 2020.
  
 ===== Subpages ===== ===== Subpages =====
Line 20: Line 20:
 ===== Known bugs/​limitations ===== ===== Known bugs/​limitations =====
  
-  * QCA6390: firmware ​has problems accessing host memory below 32 MB ([[https://​bugzilla.kernel.org/​show_bug.cgi?​id=210923|bug #​210923]]) +  * QCA6390: firmware ​WLAN.HST.1.0.1-01740-QCAHSTSWPLZ_V2_TO_X86-1 and older have problems accessing host memory below 32 MB ([[https://​bugzilla.kernel.org/​show_bug.cgi?​id=210923|bug #​210923]]) 
-  * QCA6390: ​As of Jan 2021 requires ​32 MSI interrupts, make sure VT-d is enabled or use patchset [[https://​patchwork.kernel.org/​project/​linux-wireless/​list/?​series=405591&​state=*&​order=date|ath11k:​ support one MSI vector]]+  * QCA6390: ​v5.16 and older require ​32 MSI interrupts, make sure VT-d is enabled or use patchset [[https://​patchwork.kernel.org/​project/​linux-wireless/​list/?​series=570089&​state=*&​order=date|ath11k:​ support one MSI vector]]
en/users/drivers/ath11k.1643016782.txt.gz · Last modified: 2022/01/24 09:33 by Kalle Valo